#
# Conditional build:
%bcond_without	dotnet	# without .NET support
#
%ifarch i386
%undefine	with_dotnet
%endif
%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}
Summary:	GMIME library
Summary(pl.UTF-8):	Biblioteka GMIME
Name:		gmime
Version:	2.6.15
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gmime/2.6/%{name}-%{version}.tar.xz
# Source0-md5:	a139ee5870ec4c0bf28fcff8ac0af444
Patch0:		%{name}-link.patch
Patch1:		%{name}-am.patch
URL:		http://spruce.sourceforge.net/gmime/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gpgme-devel >= 1:1.1.6
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
%if %{with dotnet}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.9.0
BuildRequires:	mono-csharp >= 1.1.16.1
%endif
Requires:	glib2 >= 1:2.18.0
Requires:	gpgme >= 1:1.1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate MIME messages.

%description -l pl.UTF-8
Ta biblioteka pozwala na manipulowanie wiadomościami MIME.

%package devel
Summary:	Header files to develop libgmime applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem libgmime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.18.0
Requires:	gpgme-devel >= 1:1.1.6
Requires:	zlib-devel

%description devel
Header files develop libgmime applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libgmime.

%package static
Summary:	Static gmime library
Summary(pl.UTF-8):	Statyczna biblioteka gmime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmime library.

%description static -l pl.UTF-8
Statyczna biblioteka gmime.

%package apidocs
Summary:	gmime library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gmime
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gmime library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gmime.

%package -n dotnet-gmime-sharp
Summary:	.NET language bindings for gmime
Summary(pl.UTF-8):	Wiązania gmime dla .NET
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2 >= 2.9.0
Requires:	mono >= 1.1.16.1

%description -n dotnet-gmime-sharp
.NET language bindings for gmime

%description -n dotnet-gmime-sharp -l pl.UTF-8
Wiązania gmime dla .NET

%package -n dotnet-gmime-sharp-devel
Summary:	Development part of dotnet-gmime-sharp
Summary(pl.UTF-8):	Część dla programistów dotnet-gmime-sharp
Group:		Development/Libraries
Requires:	dotnet-%{name}-sharp = %{version}-%{release}

%description -n dotnet-gmime-sharp-devel
Development part of dotnet-gmime-sharp.

%description -n dotnet-gmime-sharp-devel -l pl.UTF-8
Część dla programistów dotnet-gmime-sharp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-largefile \
	--%{?with_dotnet:enable}%{!?with_dotnet:disable}-mono \
	--enable-smime \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgmime-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libgmime-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmime-2.6.so.0

%files devel
%defattr(644,root,root,755)
%doc PORTING
%attr(755,root,root) %{_libdir}/libgmime-2.6.so
%{_pkgconfigdir}/gmime-2.6.pc
%{_includedir}/gmime-2.6

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmime-2.6.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gmime-2.6

%if %{with dotnet}
%files -n dotnet-gmime-sharp
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/gmime-sharp

%files -n dotnet-gmime-sharp-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gmime-sharp-2.6
%{_datadir}/gapi-2.0/gmime-api.xml
%{_pkgconfigdir}/gmime-sharp-2.6.pc
%endif
%changelog
* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> c71c781
- updated to 2.6.15
- added am patch (fixes build with automake 1.13)

* Tue Dec 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 3bfc9f6
- updated to 2.6.13

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 64eaf13
- updated to 2.6.12

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ec513a8
Update to 2.6.11

* Sat Jun 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4bc8579
- updated to 2.6.10

* Tue May 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2c26036
- updated to 2.6.9

* Sun Mar 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> dbb6195
- updated to 2.6.7

* Thu Feb 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d269484
- updated to 2.6.6

* Mon Feb 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7fc841a
- obsolete

* Mon Feb 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> de6fba3
- updated to 2.6.5
- removed obsolete -mono.patch

* Wed Jan 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 42921f5
- updated to 2.6.4
- package gmime-{uudecode,uuencode} (conflicting tools renamed upstream)
- added mono patch to restore prefix/lib install dir for mono files

* Tue Dec 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 59a3ced
- updated to 2.6.3

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 47a0e4e
- updated to 2.6.2

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 4551db0
- updated to 2.6 (note: new soname)
- updated link patch

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> b7d231b
- updated to 2.4.26

* Fri Jun 10 2011 Łukasz Kieś <kiesiu@pld-linux.org> b20058d
- updated to 2.4.25

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> 338e158
- Up to 2.4.24

* Mon Mar 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 492fc84
- updated to 2.4.23

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> f231701
- updated to 2.4.22

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 87070f0
- Up to 2.4.21

